Loading...
Searching...
No Matches
FileLocationHandler::HttpPollWrapper Class Reference

Wraps an HTTP poller so that the response body is always returned as the output. More...

`#include <FileLocationHandlerRest.qc.dox.h>`

## Public Member Functions

| abort ()
| Aborts the current operation.
| constructor (AbstractPollOperation op)
| Creates the object wrapping the HTTP poller passed as an argument.
*hash< SocketPollInfo > | continuePoll ()
| Calls the corresponding method in the wrapped poller and returns the return value.
string | getGoal ()
| Calls the corresponding method in the wrapped poller and returns the return value.
auto | getOutput ()
| Returns the value of the `"response-body"` key in the wrapped HTTP poller's output data.
string | getState ()
| Calls the corresponding method in the wrapped poller and returns the return value.
bool | goalReached ()
| Calls the corresponding method in the wrapped poller and returns the return value.

## Protected Attributes

AbstractPollOperation | op
| The HTTP poller to execute.

## Detailed Description

Wraps an HTTP poller so that the response body is always returned as the output.